# DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>
      - - io.dapr.v1.DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.TopicEventBulkRequestEntry

    public static final class DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>
    implements DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder

     TopicEventBulkRequestEntry represents a single message inside a bulk request

Protobuf type `dapr.proto.runtime.v1.TopicEventBulkRequestEntry`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry` `build()`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry` `buildPartial()`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clear()`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clearBytes()` `bytes bytes = 2;`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clearCloudEvent()` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clearContentType()` content type of the event contained.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clearEntryId()` Unique identifier for the message.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clearEvent()`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clearMetadata()`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `clone()`
`boolean` `containsMetadata​(String key)` The metadata associated with the event.
`com.google.protobuf.ByteString` `getBytes()` `bytes bytes = 2;`
`DaprAppCallbackProtos.TopicEventCERequest` `getCloudEvent()` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`DaprAppCallbackProtos.TopicEventCERequest.Builder` `getCloudEventBuilder()` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`DaprAppCallbackProtos.TopicEventCERequestOrBuilder` `getCloudEventOrBuilder()` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`String` `getContentType()` content type of the event contained.
`com.google.protobuf.ByteString` `getContentTypeBytes()` content type of the event contained.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getEntryId()` Unique identifier for the message.
`com.google.protobuf.ByteString` `getEntryIdBytes()` Unique identifier for the message.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase` `getEventCase()`
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata associated with the event.
`Map<String,​String>` `getMetadataMap()` The metadata associated with the event.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata associated with the event.
`String` `getMetadataOrThrow​(String key)` The metadata associated with the event.
`Map<String,​String>` `getMutableMetadata()` Deprecated.
`boolean` `hasBytes()` `bytes bytes = 2;`
`boolean` `hasCloudEvent()` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `mergeCloudEvent​(DaprAppCallbackProtos.TopicEventCERequest value)` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `mergeFrom​(DaprAppCallbackProtos.TopicEventBulkRequestEntry other)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `putAllMetadata​(Map<String,​String> values)` The metadata associated with the event.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `putMetadata​(String key, String value)` The metadata associated with the event.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `removeMetadata​(String key)` The metadata associated with the event.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setBytes​(com.google.protobuf.ByteString value)` `bytes bytes = 2;`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setCloudEvent​(DaprAppCallbackProtos.TopicEventCERequest value)` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setCloudEvent​(DaprAppCallbackProtos.TopicEventCERequest.Builder builderForValue)` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setContentType​(String value)` content type of the event contained.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setContentTypeBytes​(com.google.protobuf.ByteString value)` content type of the event contained.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setEntryId​(String value)` Unique identifier for the message.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setEntryIdBytes​(com.google.protobuf.ByteString value)` Unique identifier for the message.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### clear

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### getDefaultInstanceForType

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### setField

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                             Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### clearField

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### clearOneof

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### setRepeatedField

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                     int index,
                                                                                     Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### addRepeatedField

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                     Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### mergeFrom

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### mergeFrom

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder mergeFrom​(DaprAppCallbackProtos.TopicEventBulkRequestEntry other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### mergeFrom

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                       throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`
Throws:
  `IOException`

#### getEventCase

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase getEventCase()

Specified by:
  `getEventCase` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### clearEvent

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clearEvent()

#### getEntryId

    public String getEntryId()

     Unique identifier for the message.

`string entry_id = 1;`

Specified by:
  `getEntryId` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The entryId.

#### getEntryIdBytes

    public com.google.protobuf.ByteString getEntryIdBytes()

     Unique identifier for the message.

`string entry_id = 1;`

Specified by:
  `getEntryIdBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The bytes for entryId.

#### setEntryId

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setEntryId​(String value)

     Unique identifier for the message.

`string entry_id = 1;`

Parameters:
  `value` - The entryId to set.
Returns:
  This builder for chaining.

#### clearEntryId

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clearEntryId()

     Unique identifier for the message.

`string entry_id = 1;`

Returns:
  This builder for chaining.

#### setEntryIdBytes

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setEntryIdBytes​(com.google.protobuf.ByteString value)

     Unique identifier for the message.

`string entry_id = 1;`

Parameters:
  `value` - The bytes for entryId to set.
Returns:
  This builder for chaining.

#### hasBytes

    public boolean hasBytes()

`bytes bytes = 2;`

Specified by:
  `hasBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  Whether the bytes field is set.

#### getBytes

    public com.google.protobuf.ByteString getBytes()

`bytes bytes = 2;`

Specified by:
  `getBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The bytes.

#### setBytes

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setBytes​(com.google.protobuf.ByteString value)

`bytes bytes = 2;`

Parameters:
  `value` - The bytes to set.
Returns:
  This builder for chaining.

#### clearBytes

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clearBytes()

`bytes bytes = 2;`

Returns:
  This builder for chaining.

#### hasCloudEvent

    public boolean hasCloudEvent()

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

Specified by:
  `hasCloudEvent` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  Whether the cloudEvent field is set.

#### getCloudEvent

    public DaprAppCallbackProtos.TopicEventCERequest getCloudEvent()

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

Specified by:
  `getCloudEvent` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The cloudEvent.

#### setCloudEvent

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setCloudEvent​(DaprAppCallbackProtos.TopicEventCERequest value)

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

#### setCloudEvent

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setCloudEvent​(DaprAppCallbackProtos.TopicEventCERequest.Builder builderForValue)

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

#### mergeCloudEvent

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder mergeCloudEvent​(DaprAppCallbackProtos.TopicEventCERequest value)

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

#### clearCloudEvent

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clearCloudEvent()

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

#### getCloudEventBuilder

    public DaprAppCallbackProtos.TopicEventCERequest.Builder getCloudEventBuilder()

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

#### getCloudEventOrBuilder

    public DaprAppCallbackProtos.TopicEventCERequestOrBuilder getCloudEventOrBuilder()

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

Specified by:
  `getCloudEventOrBuilder` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getContentType

    public String getContentType()

     content type of the event contained.

`string content_type = 4;`

Specified by:
  `getContentType` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The contentType.

#### getContentTypeBytes

    public com.google.protobuf.ByteString getContentTypeBytes()

     content type of the event contained.

`string content_type = 4;`

Specified by:
  `getContentTypeBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The bytes for contentType.

#### setContentType

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setContentType​(String value)

     content type of the event contained.

`string content_type = 4;`

Parameters:
  `value` - The contentType to set.
Returns:
  This builder for chaining.

#### clearContentType

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clearContentType()

     content type of the event contained.

`string content_type = 4;`

Returns:
  This builder for chaining.

#### setContentTypeBytes

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setContentTypeBytes​(com.google.protobuf.ByteString value)

     content type of the event contained.

`string content_type = 4;`

Parameters:
  `value` - The bytes for contentType to set.
Returns:
  This builder for chaining.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataCount` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `containsMetadata` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataMap` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrDefault` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrThrow` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### clearMetadata

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder clearMetadata()

#### removeMetadata

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder removeMetadata​(String key)

     The metadata associated with the event.

`map<string, string> metadata = 5;`

#### getMutableMetadata

    @Deprecated
    public Map<String,​String> getMutableMetadata()

Deprecated.
Use alternate mutation accessors instead.

#### putMetadata

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder putMetadata​(String key,
                                                                                String value)

     The metadata associated with the event.

`map<string, string> metadata = 5;`

#### putAllMetadata

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder putAllMetadata​(Map<String,​String> values)

     The metadata associated with the event.

`map<string, string> metadata = 5;`

#### setUnknownFields

    public final DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`

#### mergeUnknownFields

    public final DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder>`